
QGIS Application - Bug report #21443

QGIS 3.6 crashing while editing and digitizing line features

2019-03-01 08:22 PM - Hannah Davis

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:3.6.0 Regression?: No

Operating System: Windows 10 Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 29260

Description

Crash ID: 58554dad223893be6bb8fc0d3cc6a68df705c938

Stack Trace

QgsVertexTool::~QgsVertexTool :

QgsPointLocator::verticesInRect :

Index::~Index :

Index::~Index :

QgsPointLocator::nearestVertex :

QgsVertexTool::layerVerticesSnappedToPoint :

QgsVertexTool::layerSegmentsSnappedToSegment :

QgsVertexTool::startDraggingAddVertex :

QgsVertexTool::startDragging :

QgsVertexTool::cadCanvasReleaseEvent :

QgsMapToolAdvancedDigitizing::canvasReleaseEvent :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: 58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-03-01 08:27 PM - Giovanni Manghi

- Regression? changed from Yes to No

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please try with a new/clean profile (no 3rd party plugins installed), if the problem persist please attach a sample project with data and exact steps to

replicate.

#2 - 2019-03-17 09:27 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback. Please reopen if necessary.
